yesod-form-1.2.1.3: Form handling support for Yesod Web Framework

Safe Haskell | None

Yesod.Form.Input

# Documentation

newtype FormInput sub master a

Constructors

FormInput |
Fields unFormInput :: master -> [Text] -> Env -> FileEnv -> GHandler sub master (Either DText a)

Instances

Functor (FormInput sub master) |
Applicative (FormInput sub master) |

runInputGet :: FormInput sub master a -> GHandler sub master a

runInputPost :: FormInput sub master a -> GHandler sub master a

ireq :: RenderMessage master FormMessage => Field sub master a -> Text -> FormInput sub master a

iopt :: Field sub master a -> Text -> FormInput sub master (Maybe a)